Skip site navigation (1) Skip section navigation (2)

Re: Re : pg_dump: ALTER SEQUENCE ... OWNED in 8.1

From: Dave Page <dpage(at)postgresql(dot)org>
To: rod(at)iol(dot)ie
Cc: Laurent ROCHE <laurent_roche(at)yahoo(dot)com>, pgadmin-support(at)postgresql(dot)org
Subject: Re: Re : pg_dump: ALTER SEQUENCE ... OWNED in 8.1
Date: 2007-06-19 13:36:11
Message-ID: 4677DBCB.1080402@postgresql.org (view raw or flat)
Thread:
Lists: pgadmin-support
Raymond O'Donnell wrote:
> On 19/06/2007 13:54, Laurent ROCHE wrote:
> 
>> May be that's a pg_dump issue: it should be compatible with the
>> server it connects to, and not to its own version ?
> 
> What do you mean?

Shipping every version of pg_dump, libpq & supporting DLL's back to v7.3
by the sound of it!

>> Still meanwhile I would think pgAdmin should allow installing other
>> pg_dump executable.
> 
> I'm fairly sure that pgAdmin will work with whatever pg_dump you have
> handy.

It will.

>> And it should switch from one to another to be able to generate
>> a correct code, according to the server used.
> 
> Agreed - an option in the preferences to specify the path to the desired
> pg_dump would certainly be useful.

Already in the next release.

>> There could be different installer: one with only the latest tools and
>> another one with all compatible tools versions to be able to work
>> correctly on different servers !
> 
> The installer guys are going to *love* that suggestion! :-)

That simply isn't gonna happen.

/D

In response to

Responses

pgadmin-support by date

Next:From: Raymond O'DonnellDate: 2007-06-19 13:40:14
Subject: Re: Re : pg_dump: ALTER SEQUENCE ... OWNED in 8.1
Previous:From: Marcin ZajÄ…czkowskiDate: 2007-06-19 13:27:33
Subject: Re: pgadmin 1.6.3 - segmentation fault

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group